hatari-prg-args(1)

NAME
hatari-prg-args - autorun Atari programs with arguments

SYNOPSIS
hatari-prg-args [-q] [Hatari args] -- <Atari program> <program args>

DESCRIPTION
Utility for running Hatari so that it autostarts given Atari program and inserts given arguments to program (to its basepage, with builtin Hatari debugger facilities).

If Atari program arguments have same (host) path prefix as given Atari program, those prefixes are replaced with "C:\". Unix path separators (/) are replaced with Atari ones (\) and whole filename is upper-cased.

If program and its input files are on a disk image, all paths need to be given as on with TOS, and won't be translated.

Other program arguments are passed unmodified.

NOTES
Maximum Atari program command line length that can be given (in basepage) is 126 characters.

On Unix, Atari/DOS path separators (\) need to be quoted.

OPTIONS

-q  Make Hatari quit when the started Atari program terminates. If given, this needs to be the first argument.

EXAMPLES

Start SID player in mono and tell it to play given SID song:
    hatari-prg-args -m -- atari/sidplay.ttp atari/sids/test.sid

Run it from disk image instead of host directory:
    hatari-prg-args -m -- 'A:\\SIDPLAY.TTP' 'SIDS\\TEST.SID'

SEE ALSO
hatari(1), hconsole(1)

AUTHOR
Written by Eero Tamminen <oak at helsinkinet fi>.

LICENSE
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

NO WARRANTY
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.